Windows Azure Tools install blocked on Visual Studio SP1?

The Windows Azure Tools for Microsoft Visual Studio runs on top of either Visual Studio 2008 Standard (or above) or Visual Web Developer 2008 Express Edition. However, it requires the SP1 version of these and the installer will block if either of these are not at SP1 level with the following message: Windows Azure Tools […]

The Windows Azure Tools for Microsoft Visual Studio runs on top of either Visual Studio 2008 Standard (or above) or Visual Web Developer 2008 Express Edition. However, it requires the SP1 version of these and the installer will block if either of these are not at SP1 level with the following message:

Windows Azure Tools for Microsoft Visual Studio requires Visual Studio 2008 SP1 or Visual Web Developer 2008 Express Edition SP1. If you installed pre-SP1 components after upgrading to SP1, please reinstall SP1 and try again.

In the meantime, if you're seeing this error with October CTP, make sure you've applied the SP1 update for whatever versions of Visual Studio 2008 you have on your machine. You can find the updates here:

Full Article